package com.oqpo.api.mapper.system;

import com.oqpo.api.entity.system.VerInfoEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VerInfoMapper {

    List<VerInfoEntity> selectVerAppGridList(@Param("userId") String userId, GridRequest gridRequest) throws Exception;
    int selectVerAppGridCnt() throws Exception;
    int insertVerInfo(@Param("userId") String userId, VerInfoEntity entity) throws Exception;
    int updateDelVerInfo(@Param("userId") String userId, @Param("appNo") String  appNo) throws Exception;
    VerInfoEntity selectVerAppInfo( @Param("appNo") String  appNo) throws Exception;
    String selectLastVerInfo() throws Exception;

}
